Subject: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Robert Pluim <[email-masked]>
Date: Fri, 14 Apr 2023 14:34:16 +0200

>>>>> On Fri, 14 Apr 2023 13:54:11 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Philip Kaludercic <[email-masked]>
    >> Cc: [email-masked],  [email-masked],  [email-masked],
    >> [email-masked]
    >> Date: Thu, 13 Apr 2023 18:49:05 +0000
    >> 
    >> After having added the user option, I am not sure about the prefix
    >> argument.  I see this as a temporary fix due to the time constraints of
    >> releasing Emacs 29.  It is disabled for now, but can be enabled on
    >> master to see if there are any problems.

    Eli> Yes, we can change the default to t on master.  But that would also
    Eli> require to adjust a few doc strings, see below.

So on master if I upgrade all packages, ':core' packages would be
automatically upgraded as well? I strongly object to that as a
default; just because thereʼs a newer version on elpa of a :core
package doesnʼt mean emacs should upgrade to it unless *explicitly*
told to do so.

Robert
--